# Installation
> `npm install --save @types/findup-sync`

# Summary
This package contains type definitions for findup-sync (https://github.com/gulpjs/findup-sync).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/findup-sync.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/findup-sync/index.d.ts)
````ts
import micromatch = require("micromatch");

export = findupSync;

/**
 * Find the first file matching a given pattern in the current directory or the nearest ancestor directory.
 *
 * @param patternOrPatterns Glob pattern(s) or file path(s) to match against.
 * @param micromatchOptions Options to pass to [micromatch](https://github.com/jonschlinkert/micromatch).
 * Note that if you want to start in a different directory than the current working directory, specify a `cwd` property here.
 * @returns Returns the first matching file.
 */
declare function findupSync(
    patternOrPatterns: string[] | string,
    micromatchOptions?: micromatch.Options,
): string | null;

````

### Additional Details
 * Last updated: Mon, 25 Mar 2024 14:06:55 GMT
 * Dependencies: [@types/micromatch](https://npmjs.com/package/@types/micromatch)

# Credits
These definitions were written by [Bart van der Schoor](https://github.com/Bartvds), [Nathan Brown](https://github.com/ngbrown), [BendingBender](https://github.com/BendingBender), and [Kotaro Sugawara](https://github.com/kotarella1110).
